## org.codehaus.groovy.grails.web.servlet.view
Class NullView

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.view.NullView

All Implemented Interfaces:
  View

    public class NullView

extends Object
implements View

A view that does nothing

Since:
  1.0

  Created: Jan 9, 2008
Author:
  Graeme Rocher

Constructor Summary
`NullView(String contentType)`

Method Summary
`String` `getContentType()`
`void` `render(Map model, HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullView

    public NullView(String contentType)

Method Detail

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `View`

### render

    public void render(Map model,
                       HttpServletRequest request,
                       HttpServletResponse response)
                throws Exception

  Specified by:
    `render` in interface `View`
  Throws:
    `Exception`

Copyright (c) 2005-2009 The Grails project